package fr.koka99cab.sanctuary;

import fr.koka99cab.sanctuary.world.SanctuarySpawn;
import fr.koka99cab.sanctuary.worldgen.SanctuaryDensityFunctions;
import fr.koka99cab.sanctuary.worldgen.SanctuaryFeatures;
import net.fabricmc.api.ModInitializer;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

public class SanctuaryMod implements ModInitializer {
	public static final String MOD_ID = "sanctuary";
	public static final Logger LOGGER = LoggerFactory.getLogger(MOD_ID);

	@Override
	public void onInitialize() {
		SanctuaryDensityFunctions.register();
		SanctuaryFeatures.register();
		SanctuarySpawn.register();
		LOGGER.info("Sanctuary charge pour Minecraft 26.1.2.");
	}
}
